qwt_plot_directpainter.h
/* -*- mode: C++ ; c-file-style: "stroustrup" -*- *****************************
* Qwt Widget Library
* Copyright (C) 1997 Josef Wilgen
* Copyright (C) 2002 Uwe Rathmann
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the Qwt License, Version 1.0
*****************************************************************************/
#ifndef QWT_PLOT_DIRECT_PAINTER_H
#define QWT_PLOT_DIRECT_PAINTER_H
#include "qwt_global.h"
#include <qobject.h>
class QRegion;
class QwtPlotSeriesItem;
class QWT_EXPORT QwtPlotDirectPainter: public QObject
{
public:
enum Attribute
{
AtomicPainter = 0x01,
FullRepaint = 0x02,
CopyBackingStore = 0x04
};
typedef QFlags<Attribute> Attributes;
QwtPlotDirectPainter( QObject *parent = NULL );
virtual ~QwtPlotDirectPainter();
void setAttribute( Attribute, bool on );
bool testAttribute( Attribute ) const;
void setClipping( bool );
bool hasClipping() const;
void setClipRegion( const QRegion & );
QRegion clipRegion() const;
void drawSeries( QwtPlotSeriesItem *, int from, int to );
void reset();
virtual bool eventFilter( QObject *, QEvent * );
private:
class PrivateData;
PrivateData *d_data;
};
Q_DECLARE_OPERATORS_FOR_FLAGS( QwtPlotDirectPainter::Attributes )
#endif
QwtPlotDirectPainter
Painter object trying to paint incrementally.
Definition: qwt_plot_directpainter.h:40
QwtPlotSeriesItem
Base class for plot items representing a series of samples.
Definition: qwt_plot_seriesitem.h:24
QwtPlotDirectPainter::Attributes
QFlags< Attribute > Attributes
Paint attributes.
Definition: qwt_plot_directpainter.h:74
QwtPlotDirectPainter::Attribute
Attribute
Paint attributes.
Definition: qwt_plot_directpainter.h:47